Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029511
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementcriticalalways2015-04-07 11:112015-04-13 18:26
ReportermaiteView Statuspublic 
Assigned Toeduardo_Argal 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q1.3
StatusclosedFix in branchFixed in SCM revision298a9bab80ee
ProjectionnoneETAnoneTarget Version3.0PR15Q1.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-06-09
Regression introduced in release3.0PR14Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/57ae71ea5865 [^]
Triggers an Emergency PackYes
Summary

0029511: Wrong invoice posting when it has related payment in/out in Void status

DescriptionWrong invoice posting when it has related payment in/out in Void status
Steps To Reproduce1. Register Sales Invoice for any Org and BP. Add any line and process
2. Configure Payment Method as "Automatic", "Simple execution process" and "Deferred=yes"
3. Register Payment In and VOID it
4. Register new Payment In related to that invoice and process it
5. Post invoice and realize that "Cuenta de cuadre/Currency balancing" is used
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00295053.0PR15Q3 closededuardo_Argal Wrong invoice posting when it has related payment in/out in Void status 

-  Notes
(0076496)
hgbot (developer)
2015-04-13 17:41

Repository: erp/backports/3.0PR15Q1.3
Changeset: 298a9bab80ee7cde0580180fa282c2e870331f4c
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Mon Apr 13 12:50:12 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/298a9bab80ee7cde0580180fa282c2e870331f4c [^]

Fixes issue 29511: Duplicated amount when cancelled payment
Removes canceled payment schedule details when posting

---
M src/org/openbravo/erpCommon/ad_forms/DocInvoice_data.xsql
---
(0076497)
umartirena (developer)
2015-04-13 17:42

Code Review + Testing OK

- Issue History
Date Modified Username Field Change
2015-04-07 13:18 umartirena Type defect => backport
2015-04-07 13:18 umartirena Target Version 3.0PR15Q2 => 3.0PR15Q1.3
2015-04-08 10:26 dmitry_mezentsev Tag Attached: Approved
2015-04-13 17:41 hgbot Checkin
2015-04-13 17:41 hgbot Note Added: 0076496
2015-04-13 17:41 hgbot Status scheduled => resolved
2015-04-13 17:41 hgbot Resolution open => fixed
2015-04-13 17:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/298a9bab80ee7cde0580180fa282c2e870331f4c [^]
2015-04-13 17:42 umartirena Review Assigned To => umartirena
2015-04-13 17:42 umartirena Note Added: 0076497
2015-04-13 17:42 umartirena Status resolved => closed
2015-04-13 17:42 umartirena Fixed in Version => 3.0PR15Q1.3
2015-04-13 18:26 umartirena Assigned To umartirena => eduardo_Argal


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker